Package csb :: Package bio :: Package sequence :: Class NucleicAlphabet

[frames] | no frames]

# Class NucleicAlphabet

source code

       object --+
                |
    core.EnumBase --+
                    |
            core.enum --+
                        |
                       NucleicAlphabet

Nucleic sequence alphabet

Instance Methods
Inherited from `core.enum`: `__init__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| Adenine = `Adenine`
| Amino = `Amino`
| Any = `Any`
| Cytosine = `Cytosine`
| GAP = `GAP`
| Guanine = `Guanine`
| INSERTION = `INSERTION`
| Ketone = `Ketone`
| Masked = `Masked`
| NotA = `NotA`
| NotC = `NotC`
| NotG = `NotG`
| NotT = `NotT`
| Purine = `Purine`
| Pyrimidine = `Pyrimidine`
| Strong = `Strong`
| Thymine = `Thymine`
| Uracil = `Uracil`
| Weak = `Weak`

Properties
Inherited from `object`: `__class__`